if（所有新非靶病灶消失或一直不存在任何新非靶病灶时评估为该结果） 
{
   新非靶病灶疗效为 ND
}
else if (上一访视新非靶病灶评估为“iUPD” && 满足任一新非靶病灶状态为“增大”)
{
   新非靶病灶疗效为 iCPD
}
else if (上一访视新非靶病灶评估为“iCPD”&& 有"存在"状态的新非靶病灶)
{
    新非靶病灶疗效为 iCPD
}
else if (当有存在状态的新非靶病灶)
{
    新非靶病灶疗效为 iUPD
}
else if (至少有一个新非靶病无法评估)
{
    新非靶病灶疗效为 NE
}else
{
	//错误级别日志：项目、标准、受试者、阅片人、任务。当前新非靶病灶的病灶数据输出：
}